SGMLDIFF(1)

NOM
sgmldiff - Trouver les différences dans le marquage entre deux fichiers SGML

SYNOPSIS
sgmldiff [ options ... ] fichier1 fichier2 [ -a | --attributes
    | -c [ attributes | nesting | textpos ] | --context [ attributes | nesting | textpos ]
    | -s | --statistics
    | -h | --help
    | -v | --version ]

DESCRIPTION

Ce script perl permet de déterminer les différences structurelles entre deux fichiers SGML. Il compare ces fichiers, sans se préoccuper de ce qui se trouve entre les balises, pour se concentrer uniquement sur le marquage. Sa sortie est similaire à diff(1).

L'utilisation typique de sgmldiff est de comparer un fichier SGML avec sa traduction dans une autre langue. Si la traduction a été faite proprement, sgmldiff sort sans trouver la moindre différence dans le marquage.

Un exemple d'invocation typique de sgmldiff est :
      sgmldiff english.sgml italiano.sgml

S'il y a des différences dans le marquage entre ces deux fichiers, sgmldiff produira en sortie une série de rapports de différence résumés dans des lignes de la forme :

169a164
    À la ligne 169 du premier fichier, la ligne 164 du second fichier a été ajoutée.

8a12,15
    À la ligne 8 du premier fichier, les lignes 12 à 15 du second fichier ont été ajoutées.

41d28
    La ligne 41 du premier fichier a été détruite, pour obtenir la ligne 28 du second fichier.

63,66d61
    Les lignes 63 à 66 du premier fichier ont été détruites, pour obtenir la ligne 61 du second fichier.

52c51
    La ligne 52 du premier fichier a été modifiée en la ligne 51 du second fichier.

5,7c8,10
    Les lignes 5 à 7 du premier fichier ont été modifiées en les lignes 8 à 10 du second fichier. En plus de ces récapitulatifs, les lignes du premier fichier sont montrées précédées par « < » et les lignes du second fichier sont montrées précédées par « > ».

OPTIONS

Voici la liste des actions qui peuvent être demandées à sgmldiff :

[ -a | --attributes ]
    Inclut les valeurs d'attribut dans les tests de différence. Ne pas fixer cette valeur si les attributs semblent devoir être traduits. Fixer cette valeur si les valeurs d'attribut ne doivent pas être modifiés entre les deux fichiers. L'action par défaut est de ne pas inclure les attributs dans les tests de différence.

[ -c [ attributes | nesting | textpos ] | --context [ attributes | nesting | textpos ] ]
    Ajouter plus de contexte dans la différence. Puisque chaque test entre les balises est écarté avant de tester les différences, il est probable que sgmldiff se resynchronise au mauvais endroit, en pensant que l'emplacement dans les deux fichiers correspond, alors que ce n'est pas vrai. En ajoutant plus de contexte, un tel risque est atténué. Les valeurs autorisées pour l'option --context sont :

    attributes
        Prendre en compte les noms d'attribut. Les valeurs d'attribut sont contrôlées par l'option attributes.

    nesting
        Prendre en compte le niveau d'imbrication de toutes les balises comparées.

    textpos
        Prendre en compte la position dans le texte.

[ -s | --statistics ]
    Afficher quelques informations SGML à la fin.

[ -h | --help ]
    Afficher un court message d'aide et quitter.

[ -v | --version ]
    Afficher l'identificateur de version et quitter.

AUTEUR

Frederik Fouvry
    Développeur de sgmldiff.

VOIR AUSSI

jw(1)
    Conversion d'un fichier SGML vers d'autres formats.

nsgmls(1)
    Un composant de base pour le moteur DSSSL Jade.

http://sources.redhat.com/docbook-tools/ <URL:http://sources.redhat.com/docbook-tools/>
    La page d'accueil des outils DocBook, un recueil de tous les outils nécessaires au traitement des fichiers DocBook, incluant DocBook-utils

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> 12 février 2003 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 sgmldiff ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.